<?php

namespace App\Admin\Repositories;

use App\Models\DistAppearanceBak as Model;
use Dcat\Admin\Repositories\EloquentRepository;

class DistAppearanceBak extends EloquentRepository
{
    /**
     * Model.
     *
     * @var string
     */
    protected $eloquentClass = Model::class;

    /*
     * 备份数据
     */
    static public function backupData($appearanceId,$distId) {
        $model = new Model();
        return $model->backupData($appearanceId,$distId);
    }


    static public function restoreDataByVersion($version)
    {
        $model = new Model();
        return $model->restoreDataByVersion($version);
    }


}
